package com.rthoni.stssaguenay.ui.fragments;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.rthoni.stssaguenay.R;
import com.rthoni.stssaguenay.dbo.StopsDbo;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * Created by robin on 9/29/16.
 */
public class StopRoutesPickerFragment extends Fragment {

    @BindView(R.id.textView)
    TextView _textView;

    @BindView(R.id.listRoutes)
    RecyclerView _listRoutes;

    private StopsDbo _stopsDbo;

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View v = inflater.inflate(R.layout.fragment_stop_route_picker, container, false);
        ButterKnife.bind(this, v);

        _textView.setText(getResources().getString(R.string.pick_routes, _stopsDbo.getFullName()));

        return v;
    }

    public StopsDbo getStopsDbo() {
        return _stopsDbo;
    }

    public void setStopsDbo(StopsDbo stopsDbo) {
        _stopsDbo = stopsDbo;
    }
}
